% File: run.m
r2d= 180/pi; d2r=1/r2d; Ts=0.04;
% Load Systems from Flixan                       % Titles in file "Stg1_MaxQ_Ptch.Inp"
[Aac,Bac,Cac,Dac]= ssme_actuator;                % Shuttle Main Engine Actuator
[Asb,Bsb,Csb,Dsb]= srb_actuator;                 % Solid Rocket Booster Actuator
[Afs,Bfs,Cfs,Dfs]= pitch_fcs_s;                  % Pitch Axis Continuous FCS
[Afc,Bfc,Cfc,Dfc]= pitch_fcs_z;                  % Pitch Axis Discrete FCS

[Apr,Bpr,Cpr,Dpr]= pitch_rb;                     % Shuttle Ascent, Max_Q, T=55 sec, Rigid Body, Pitch Axis
[Atw,Btw,Ctw,Dtw]= pitch_rb_twd;                 % Shuttle Ascent, Max_Q, T=55 sec, Rigid Body with TWD, Pitch Axis
[Ats,Bts,Cts,Dts]= pitch_rb_twd_sl;              % Shuttle Ascent, Max_Q, T=55 sec, Rigid Body with TWD, Slosh, Pitch Axis
[Apf,Bpf,Cpf,Dpf]= pitch_flex;                   % Shuttle Ascent, Max_Q, T=55 sec, Flexibility with Slosh and TWD, Pitch Axis

[Ao,Bo,Co,Do]= linmod('Pitch_Open_RB');          % Linearize Open-Loop Simulink model that uses separate blocks
[A1,B1,C1,D1]= linmod('Pitch_Open_TWD');         % Linearize Open-Loop Simulink model that uses separate blocks
[A2,B2,C2,D2]= linmod('Pitch_Open_TWD_Sl');      % Linearize Open-Loop Simulink model that uses separate blocks
%[A3,B3,C3,D3]= dlinmod('Pitch_Open_Flex',0.04); % Linearize Open-Loop Simulink model that uses separate blocks
[A3,B3,C3,D3]= linmod('Pitch_Open_Flex3'); % Linearize Open-Loop Simulink model that uses separate blocks
sys0= SS(Ao,Bo,Co,Do);                       % Create SS System
sys1= SS(A1,B1,C1,D1);                      % 
sys2= SS(A2,B2,C2,D2);                      % 
%sys3= SS(A3,B3,C3,D3,Ts);                      % 
sys3= SS(A3,B3,C3,D3);                      % 
w=logspace(-2.5, 1.95, 44000);                      % Define Frequ Range
figure(1); Nichols(sys3,w)                        % Plot Nichol's Chart
figure(2); Bode(sys2,sys3,sys3,w)                           % Plot Bode

