r2d= 180/pi; d2r=1/r2d; Ts=0.04;                  % Radian to degree converts
[Afls,Bfls,Cfls,Dfls]= vehicle_flex_s;            % Shuttle Ascent, Max_Q, T=55 sec, Flex Vehicle with Slosh and TWD
[Aflz,Bflz,Cflz,Dflz]= vehicle_flex_z;            % Discrete Shuttle Plant Model at Max-Q (Flex Vehicle, Actuators, Sensors)
[Alfc,Blfc,Clfc,Dlfc]= lateral_fcs;               % Lateral Flight Control System
[Apfc,Bpfc,Cpfc,Dpfc]= pitch_fcs;                 % Pitch Flight Control System
[Azpl,Bzpl,Czpl,Dzpl]= vehi_plant_z;              % Load Discrete Plant (Vehi,Actuat,Sensors)
[Acts,Bcts,Ccts,Dcts]= actuators_5s;              % System of Five Actuators
[Actz,Bctz,Cctz,Dctz]= actuators_5z;              % System of Five Actuators, Z-Transform
[Asz, Bsz, Csz, Dsz] = sensors_z;                 % IMU, Gyro, Accelerometer Sensors, Z-transform 
[Aol, Bol, Col, Dol] = open_loop;                 % Open-Loop System (Plant + FCS)
load TVC.Mat -ascii                               % Shuttle Stage-1 TVC Matrix at Max-Q

[As,Bs,Cs,Ds]= dlinmod('Sensitivity',0.04);       % Wind-Gust Sensitivity Analys Model 
[Ao,Bo,Co,Do]= dlinmod('Open_Flex1',0.04);       % Continuous Open-Loop Simulink Flex Model-1
%[Ao,Bo,Co,Do]= dlinmod('Open_Flex2',0.04);       % Continuous Open-Loop Simulink Flex Model-2
%[Ao,Bo,Co,Do]= dlinmod('Open_Flex3',0.04);        % Continuous Open-Loop Simulink Flex Model-3

syso= SS(Ao,Bo,Co,Do,Ts);                         % Create Open-Loop SS System
syss= SS(As,Bs,Cs,Ds,Ts);                         % Create Closed-Loop SS System
w=logspace(-2.5, 2, 24000);                       % Define Frequ Range
figure(1); Nichols(syso,w)                        % Plot Nichol's Chart
figure(2); Bode(syso,w)                           % Plot Bode
figure(3); Nyquist(syso,w)                        % Nyquist Plot
figure(4); Sigma(syss,w)                         % Plot Singular Values
