r2d=180/pi; d2r=pi/180;
om=1.2; zt=0.14; Kp=om^2; Kr=2*zt*om; %frq; % Disturb Filter Characteristics
[Ad, Bd, Cd, Dd]= later_des;                % Shuttle Ascent, Max_Q, Lateral Hinf Design Model
[An, Bn, Cn, Dn]= later_anal;               % Shuttle Ascent, Max_Q, Lateral Analysis with Slosh & TVC
[Ap, Bp, Cp, Dp]= plant;                    % Shuttle Plant Model at Max-Q (Flex Vehicle, Actuators, Sensors)
load TVC.mat -ascii                         % Shuttle Stage-1 TVC Matrix at Max-Q
load orig.mat                               % from Classical Design

%... Alpha/Beta Estimator parameters
Mass=93215; Sref= 2690; Qbar=745.4; Cyb=-0.0353; Cza=-0.0574; 
Thr=[470000, 470000, 470000, 0.245e7, 0.245e7]';

%... Hinfinity Design ...
%      [DPtvc,DRtvc, phi,  p,   psi,   r,   beta, x1,   x2]
Q=diag([0.09, 0.12, 0.001, 0.1, 0.001, 0.1, 0.24, 0.13, 0.07]);
[Ad, Bd, Cd, Dd]= linmod('design');
sys = SS(Ad,Bd,Cd,Dd);
sysd=MKTITO(sys,7,2);
[K,CL,GAM,INFO] = hinfsyn(sysd,7,2);
Kl3=INFO.KFI(:,1:7);
Kp3 = [0.3042  3.4539  0.5105  0.0711 -0.2670];

% [Ao, Bo, Co, Do]= linmod('Anal2');
% [As, Bs, Cs, Ds]= linmod('Sensitiv2');
[Ao, Bo, Co, Do]= linmod('Anal5');
[As, Bs, Cs, Ds]= linmod('Sensitiv4');
%w=logspace(-3, 2.5, 10000);                         % Define Frequ Range
syso= SS(Ao,Bo,Co,Do);                               % Create SS System
syss2= SS(As,Bs,Cs,Ds);                              % Create SS System
figure(1); Nichols(syso,w)                           % Plot Nichol's Chart
figure(2); Bode(syso,w)                              % Plot Bode
sig2=Sigma(syss2,w);                                 % SV Bode
figure(3); loglog(w,sig1,'r',w,sig2,'b')             % Plot SV Bode

