r2d= 180/pi; d2r=1/r2d; Ts=0.04;                  % Radian to degree converts
[Azpl,Bzpl,Czpl,Dzpl]= plant_z;                   % Load Plant (Vehi,Actuat,Sensors)
[Apfc,Bpfc,Cpfc,Dpfc]= pitch_fcs;                 % Load Pitch FCS
[Alfc,Blfc,Clfc,Dlfc]= lateral_fcs;               % Load Lateral FCS
load TVC.Mat -ascii                               % Shuttle Stage-1 TVC Matrix at Max-Q

[As,Bs,Cs,Ds]= dlinmod('Sensitivity',Ts);         % Wind-Gust Sensitivity Analys Model 
[Ao,Bo,Co,Do]= dlinmod('Open_Loop', Ts);          % Open-Loop Simulink Model
syss= SS(As,Bs,Cs,Ds,Ts);                         % Create Closed-Loop SS System
syso= SS(Ao,Bo,Co,Do,Ts);                         % Create Open-Loop SS System
w=logspace(-2.1, 1.94, 23000);                    % Define Frequ Range
figure(1); Nichols(syso,w)                        % Plot Nichol's Chart
figure(2); Bode(syso,w)                           % Plot Bode
figure(4); Sigma(syss,w)                          % Plot Singular Values
sig1=Sigma(syss,w);                               % Plot Singular Values
save orig.mat w sig1

