r2d=180/pi; d2r=pi/180;
[Ad, Bd, Cd, Dd]= pitch_des;                     % Pitch design plant
[An, Bn, Cn, Dn]= pitch_anal;                    % Simple analysis plant
[Ap, Bp, Cp, Dp]= plant;                         % Plant w actuat,sensors, TWD
load TVC.mat -ascii                              % TVC Matrix

%... Beta Estimator parameters
Mass=93215; Sref= 2690; Qbar=745.4; Cza=-0.0574; 
Thr=[470000, 470000, 470000, 0.245e7, 0.245e7]';

%... Hinfinity Design ...
%      [DQtvc, thet, q,   alfa, x1,   x2]
Q=diag([0.06, 0.005, 0.2, 0.03, 0.03, 0.03]);
om=1.0; zt=0.14; Kp=om^2; Kr=2*zt*om;
[Ad, Bd, Cd, Dd]= linmod('Design'); sys= SS(Ad,Bd,Cd,Dd);
sysd=MKTITO(sys,5,1);
[K,CL,GAM,INFO] = hinfsyn(sysd);
Kp3=INFO.KFI(:,1:5)
%Kp3 = [0.3042  3.4539  0.5105  0.0711 -0.2670];

[Ao, Bo, Co, Do]= linmod('Anal4');
[As, Bs, Cs, Ds]= linmod('Sensit4');
w=logspace(-3, 2, 10000);                         % Define Frequ Range
syso= SS(Ao,Bo,Co,Do);                            % Create SS System
syss= SS(As,Bs,Cs,Ds);                            % Create SS System
figure(1); Nichols(syso,w)                        % Plot Nichol's Chart
figure(2); Bode(syso,w)                           % Plot Bode
figure(3); Sigma(syss,w)                          % Plot Sensitivity
