% File: run.m
r2d= 180/pi; d2r=1/r2d; Ts=0.04;
% Load Systems from Flixan                       % Titles in file "Stg1_MaxQ_Ptch.Inp"
[Apf,Bpf,Cpf,Dpf]= pitch_vehi_flex;              % Shuttle Ascent, Max_Q, T=55 sec, Flex Pitch Vehicle with Slosh and TWD
[Aac,Bac,Cac,Dac]= ssme_actuator;                % Shuttle Main Engine Actuator
[Asb,Bsb,Csb,Dsb]= srb_actuator;                 % Solid Rocket Booster Actuator
[Afc,Bfc,Cfc,Dfc]= pitch_fcs;                    % Pitch Axis Discrete FCS
[Apl,Bpl,Cpl,Dpl]= pitch_plant_s;                % Pitch Plant (Flex Vehicle, Actuators, TVC, TWD)
[Apz,Bpz,Cpz,Dpz]= pitch_plant_z;                % Pitch Plant Discrete
[Aol,Bol,Col,Dol]= open_loop;                    % Open-Loop Pitch (Plant Model + Controller)
[Acl,Bcl,Ccl,Dcl]= closed_loop;                  % Closed Loop (Plant Model + Controller)

[Ao,Bo,Co,Do]= dlinmod('Pitch_Open_Flex',0.04); % Linearize Open-Loop Simulink model that uses separate blocks
%[Ao,Bo,Co,Do]= dlinmod('Pitch_Open_Flex2',0.04); % Linearize Open-Loop Simulink model that uses combined plant
sys= SS(Ao,Bo,Co,Do,0.04);                       % Create SS System
%sys= SS(Aol,Bol,Col,Dol,0.04);                  % Create SS System using the pre-combined z-system "open_loop.m"
w=logspace(-2.4, 2, 24000);                      % Define Frequ Range
figure(1); Nichols(sys,w)                        % Plot Nichol's Chart
figure(2); Bode(sys,w)                           % Plot Bode
figure(3); Nyquist(sys,w)                        % Plot Nyquist
